> ## Documentation Index
> Fetch the complete documentation index at: https://developer.firstsales.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a workspace tracking domain.

> POST /api/v1/organizations/{orgId}/workspaces/{workspaceId}/tracking-domains

Use this endpoint through the Developer API or the matching `firstsales` CLI command when available. Responses use the stable FirstSales public error envelope.


## OpenAPI

````yaml POST /api/v1/organizations/{orgId}/workspaces/{workspaceId}/tracking-domains
openapi: 3.1.0
info:
  title: FirstSales Developer API
  version: 1.0.0
  description: Versioned public API contract for agent and developer integrations.
servers:
  - url: https://api.app.firstsales.io
security:
  - bearerAuth: []
paths:
  /api/v1/organizations/{orgId}/workspaces/{workspaceId}/tracking-domains:
    post:
      tags:
        - Tracking Domains
      summary: Create a workspace tracking domain.
      operationId: createTrackingDomain
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - $ref: '#/components/parameters/WorkspaceId'
      responses:
        '201':
          description: >-
            Created tracking domain DNS status without creator or retry
            internals.
        '400':
          $ref: '#/components/responses/PublicApiError'
        '401':
          $ref: '#/components/responses/PublicApiError'
        '403':
          $ref: '#/components/responses/PublicApiError'
        '409':
          $ref: '#/components/responses/PublicApiError'
components:
  parameters:
    OrgId:
      name: orgId
      in: path
      required: true
      schema:
        type: string
    WorkspaceId:
      name: workspaceId
      in: path
      required: true
      schema:
        type: string
  responses:
    PublicApiError:
      description: Stable public API error envelope.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicApiError'
  schemas:
    PublicApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - requestId
          properties:
            code:
              type: string
            message:
              type: string
            requestId:
              type: string
            details:
              type: object
              additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: FirstSales Developer API Key

````